Validate an edit of an application without saving it
Judged as an update of this application would be: provider slugs its stored configuration already names stay acceptable even if their provider has since been deleted. Use the draft validation for an application that does not exist yet.
The console's session cookie. Admin requests from the console also send x-console-request: 1.
In: cookie
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/admin/apps/string/validate" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "config": { "authentication": { "type": "apple_app_attest", "end_user": { "source": "issuer", "issuer": { "jwks_url": "http://example.com", "issuer": "string", "audience": "string", "user_id_claim": "string", "required_claims": [ { "path": "string" } ], "max_token_lifetime_seconds": 1 } }, "app_attest": { "team_id": "string", "bundle_id": "string" } }, "routing": { "providers": { "mode": "all" }, "model_rewrites": { "property1": "string", "property2": "string" } } } }'{ "valid": true, "app_id": "string"}Update an application
Update an application (PUT /v1/admin/apps/{app}) in the App AI Gateway API. Accepts a management key, MCP OAuth token or console session.
Validate a new application configuration without saving it
Validate a new application configuration without saving it (POST /v1/admin/app-drafts/validate) in the App AI Gateway API.